undefined symbol: MPI_Get_version

Help
2008-01-29
2013-04-17
  • bond_fedora
    bond_fedora
    2008-01-29

    I am trying to configure pyMPI. I installed mpich-1.2.4.
    and ran
    python softload_setup.py install

    But when i run python
    and import

    >>import mpi

    I get

    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
    ImportError: /usr/lib/python2.5/site-packages/mpi.so: undefined symbol: MPI_Get_version

    when I run ldd mpi.so get

    pyMPI-2.4b2]# ldd /usr/lib/python2.5/site-packages/mpi.so
            linux-gate.so.1 =>  (0x00110000)
            libpython2.5.so.1.0 => /usr/lib/libpython2.5.so.1.0 (0x00144000)
            libpthread.so.0 => /lib/libpthread.so.0 (0x0028b000)
            libc.so.6 => /lib/libc.so.6 (0x002a4000)
            libdl.so.2 => /lib/libdl.so.2 (0x003fd000)
            libutil.so.1 => /lib/libutil.so.1 (0x00402000)
            libm.so.6 => /lib/libm.so.6 (0x00406000)
            /lib/ld-linux.so.2 (0x00610000)

    I would very much appreciate information into this issue. Thank you.

     
    • Joshua Reyes
      Joshua Reyes
      2008-07-24

      Hi,

      I almost have the exact same problem. I also configured, built, and installed pyMPI. But when I run the interpreter and try to import the new module, it screams back at me, saying:

      >>> import mpi
      Traceback (most recent call last):
        File "<stdin>", line 1, in <module>
      ImportError: /home/<username>/python-2.5.2/lib/python2.5/site-packages/mpi.so: undefined symbol: MPI_Topo_test

      Any ideas? I'd appreciate any help I can get.

      Thanks,
      Josh